// 导入所需的加密库
import CryptoJS from "crypto-js";

// 定义插件接口
const EncryptionPlugin = {
	install: (app, options) => {
		// 加密密钥，默认使用一个固定值，你可以根据实际情况进行配置
		const key = options && options.key ? options.key : "my-secret-key";

		// 加密函数
		const encryptData = (data) => {
			const encryptedData = CryptoJS.AES.encrypt(
				JSON.stringify(data),
				key
			).toString();
			return encryptedData;
		};

		// 解密函数
		const decryptData = (encryptedData) => {
			const decryptedBytes = CryptoJS.AES.decrypt(encryptedData, key);
			const decryptedData = JSON.parse(
				decryptedBytes.toString(CryptoJS.enc.Utf8)
			);
			return decryptedData;
		};

		app.config.globalProperties.$encrypt = encryptData;
		app.config.globalProperties.$decrypt = decryptData;
		provide("encryptionPlugin", {
			encryptData,
			decryptData,
		});
	},
};

export default EncryptionPlugin;